Name:          mercurial
Version:       3.9.1
Release:       1mamba
Summary:       A scalable distributed Source Control Management system
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://selenic.com/mercurial
Source:        http://www.selenic.com/mercurial/release/mercurial-%{version}.tar.gz
License:       GPL
Requires:      python >= %python_version
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
BuildRequires: python
## AUTOBUILDREQ-END
BuildRequires: python-docutils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Mercurial is a fast, lightweight Source Control Management system designed for efficient handling of very large distributed projects.

%package hgk
Summary:       A GUI for Mercurial
Group:         Applications/Development
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description hgk
A tool called that allows browsing the history of a repository in a GUI.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build
%make -C doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
python setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=.packlist

install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man5
install -m 644 doc/*.1 %{buildroot}%{_mandir}/man1
install -m 644 doc/*.5 %{buildroot}%{_mandir}/man5

install -D -m 755 contrib/hgk %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)
%{_mandir}/man1/*
%{_mandir}/man5/*
%doc COPYING CONTRIBUTORS README

%files hgk
%defattr(-,root,root)
%{_bindir}/hgk

%changelog
* Sat Sep 03 2016 Automatic Build System <autodist@mambasoft.it> 3.9.1-1mamba
- automatic version update by autodist

* Sat Aug 06 2016 Automatic Build System <autodist@mambasoft.it> 3.9-1mamba
- automatic version update by autodist

* Sat Jun 11 2016 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Wed May 18 2016 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Sat May 07 2016 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Apr 06 2016 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Sat Mar 12 2016 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic update by autodist

* Wed Sep 16 2015 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Fri Jul 03 2015 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue May 05 2015 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Wed Mar 04 2015 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sun Jan 04 2015 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Sat Dec 20 2014 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Sun Dec 07 2014 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Sat Nov 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Nov 07 2014 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Sat Sep 06 2014 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Tue Aug 05 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Sun Jul 06 2014 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sun May 04 2014 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Sun Feb 02 2014 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Mon Jan 06 2014 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Sun Nov 03 2013 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Fri Oct 11 2013 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic version update by autodist

* Sat Sep 07 2013 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sat Aug 03 2013 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-2mamba
- python 2.7 mass rebuild

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Thu May 02 2013 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 2.5.4-1mamba
- automatic version update by autodist

* Sun Mar 10 2013 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Sat Feb 09 2013 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sat Jan 05 2013 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu Dec 13 2012 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Sun Oct 02 2011 Automatic Build System <autodist@mambasoft.it> 1.9.3-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Mon Jun 20 2011 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic update by autodist

* Fri May 20 2011 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic update by autodist

* Mon Mar 14 2011 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic update by autodist

* Fri Feb 25 2011 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic update by autodist

* Sun Oct 03 2010 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic update by autodist

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic update by autodist

* Thu Jul 08 2010 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic update by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic update by autodist

* Thu Apr 15 2010 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic update by autodist

* Tue Jan 05 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Thu Dec 10 2009 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic update by autodist

* Mon Nov 23 2009 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic update by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Sat Apr 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Sun Mar 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- automatic update by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Fri Dec 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Mon Apr 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Mon Aug 27 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.4-1mamba
- package created by autospec
